/**
 * Copyright &copy; 2015-2020 <a href="http://www.jeeplus.org/">JeePlus</a> All rights reserved.
 */
package com.jeeplus.modules.workfulldesignchange.dao;

import com.jeeplus.common.persistence.CrudDao;
import com.jeeplus.common.persistence.annotation.MyBatisDao;
import com.jeeplus.modules.workfulldesignchange.entity.WorkFullDesignchange;
import com.jeeplus.modules.workfullmanage.entity.WorkFullManage;

import java.util.List;

/**
 * 设计变更DAO接口
 * @author fgy
 * @version 2017-11-03
 */
@MyBatisDao
public interface WorkFullDesignchangeDao extends CrudDao<WorkFullDesignchange> {


    List<WorkFullManage> getListOfWorkFullManage(WorkFullManage workFullManage);

    List<WorkFullDesignchange> findList(WorkFullDesignchange workFullDesignchange);

    int updateProcessInstanceId(WorkFullDesignchange workFullDesignchange);

    void updateStatus(WorkFullDesignchange workFullDesignchange);

    WorkFullDesignchange getByProcessInstanceId(String processInstanceId);
}